@import url('https://fonts.googleapis.com/css?family=Open+Sans:400,600,700,800');

$background-black-color:              #000000;
$shadow-color-text:                   #5b5b5b;
$shadow-color-action:                 #858585;
$header-background-bar:               #1b1f3d;
$button-active:                       #b4834f;
$button-active-hover:                 #ea973e;
$button-hover:                        #636363;
$grey-shadow:                         #eeeff1;
$grey-dark:                           #444444;
$dropdown-buttons-text:               #26272b;
$dropdown-background:                 #e8e8e8;
$dropdown-background-active:          #20264a;
$search-background:                   #f4f5f7;
$button-brown:                        #b48350;
$button-brown-hover:                  #ab7337;
$text-color:                          #1d1c1a;


$blue:                                #4477ee;
$blue-hover:                          #335dbd;
$blue-dark:                           #1a1f3c;
$blue-dark-hover:                     #1a1f3c;
$green:                               #2bad62;
$white:                               #ffffff;


$max-width: 910px;

$width-on-row-three: calc((100vw - 40px)/ 3 - 10px );
$width-tablet-small: calc((100vw - 20px)/ 2 - 15px );
$width-on-row-two: calc((100vw - 20px)/ 2 - 5px );

$breakpoints: (
    "phone":        360px,
    "phone-wide":   480px,
    "phablet":      560px,
    "tablet-small": 640px,
    "tablet":       769px,
    "laptop":       928px,
    "desktop":      1200px,
    "desktop-wide": 1440px
);

html,
body{
	font-family: 'Open Sans', sans-serif;
	background-color: $search-background;
	font-size: 16px;
	line-height: 1.5;
	color: $text-color;
}

h1 {
	@include font-source('Roboto', 24px, $text-color, 400, 28px, normal);
	margin: 0;
	padding: 0;
}

h2 {
	@include font-source('Roboto', 20px, $text-color, 400, 25px, normal);
	margin: 0;
	padding: 0;
}

h3 {
	@include font-source('Roboto', 16px, $text-color, 400, 20px, normal);
	margin: 0;
	padding: 0;
}

.desktop{

	@include mq("tablet", 'max') {
        display: none !important;
	}
}

.mobile{

	@include mq("tablet", 'min') {
        display: none !important;
	}
}

@for $i from 1 through 10 {
	.mt-#{$i*10} {
		margin-top: $i*10px;		
	}
	.ml-#{$i*10} {
		margin-left: $i*10px;		
	}

	.mr-#{$i*10} {
		margin-right: $i*10px;		
	}

	.mb-#{$i*10} {
		margin-bottom: $i*10px;
	} 

	.pt-#{$i*10} {
		padding-top: $i*10px;		
	}

	.pb-#{$i*10} {
		padding-bottom: $i*10px;
	} 

	.pl-#{$i*10} {
		padding-left: $i*10px;
	}

	.pr-#{$i*10} {
		padding-right: $i*10px;
	}  
}

label,p{
	margin: 0;
	word-break: break-word;

	&.small-text{
		font-size: 14px;
		line-height: 16px;
	}
}

.uppercase{
	text-transform: uppercase;
}

.weight{
	font-weight: 600;
}

.text-grey{
	color: $shadow-color-action;
}

.whatapp{
	color: #46b253;
}

.skype{
	color: #3ca8d5;
}

.mobile-full{

	@include mq("tablet", 'max') {
        min-width: 100%;
	}
}

.bg-image{
	background-size: cover;
	background-repeat: no-repeat;
}

a{
	cursor: pointer;
	text-decoration: none;
	color: $button-active;

	&:hover,
	&:focus,
	&:visited,
	&:active{
		text-decoration: none;
	}

	&:hover{
		color: $button-active-hover;
	}

	&.grey{
		color: #8b8277;

		&:hover,
		&:focus,
		&:visited,
		&:active{
			text-decoration: none;
		}

		&:hover{
			color: #8b8277;
		}
	}
}

.inner-section{
	max-width: $max-width;
	margin: 0 auto;

	@include mq("tablet", 'max') {
        padding-left:10px;
        padding-right: 10px;
	}

	&.no-padding-mobile{

		@include mq("tablet", 'max') {
	        padding: 0;
		}
	}
}

.error{
	color: #fa3e3e;
	font-size: 14px;
}

.bg-image{
	background-size: cover;
	background-position: top center;
	background-repeat: no-repeat;
}

.box-section{
	padding: 30px;
	border-radius: 3px;
    background-color: $white;
}

.notice-bubble{
	background-color: red;
    color: $white;
    font-size: 10px;
    line-height: 12px;
    border-radius: 50% 3px 50% 50%;
    width: 14px;
    height: 14px;
    position: absolute;
    text-align: center;
    top: -9px;
    right: -8px;
}

#modalCarousel-gallery{
	padding: 0 !important;

	.modal-dialog{

		@include mq("tablet", 'max') {
			width: 100%;
	    	height: 100%;
	    	margin: 0;
		}

    	.modal-content{ 
    	   	background-color: transparent;
    		border: 0;

			@include mq("tablet", 'max') {
	    		border: 0;
	    		height: 100%;
	    		background-color: #000000;
			}

    		.carousel{

				@include mq("tablet", 'max') {
    				height: 100%;
				}

    			.carousel-inner{

					@include mq("tablet", 'max') {
	    				top: 50%;
	    				transform: translateY(-50%);
					}
    			}

    			.close-modal-arrow{
				    position: absolute;
    				top: 25px;
				    left: 15px;
				    z-index: 4;
				    color: #fff;

				    i{
			    	    font-size: 20px;
				    }
    			}

    			.bottom-bar{
    				position: absolute;
				    bottom: 0;
				    width: 100%;
				    padding: 0 20px;
			    	color: #ffffff;

			    	& > .d-flex{

			    		&:first-child{
			    			padding-bottom: 10px;
						    border-bottom: 1px solid #898b8e;
					        font-size: 16px;
			    		}

			    		&:last-child{
			    			padding: 15px 0 20px 0;
			    		}
			    	}

				    .likes-container{

				    	.circle{
				    		width: 20px;
						    height: 20px;
						    background-color: #ad36c2;
						    border-radius: 50%;
						    display: flex;
						    align-items: center;
						    justify-content: center;
						    margin-right: 5px;

						    i{
							    position: relative;
						    	font-size: 12px;
							    top: 1px;
						    }
				    	}
				    }

				    .vote-container{

				    	i{
				    		font-size: 25px;
						    margin-right: 5px;
				    	}

				    	.likes-number{
				    		font-size: 16px;
				    	}
				    }

			    	.mobile-useless-menu-trigger{
			    		font-size: 18px;
			    	}
    			}

		    	.mobile-useless-menu{
		    		display: none;
		    		position: absolute;
		    		top: 50%;
		    		left: 50%;
		    		transform: translate(-50%,-50%);
		    		font-size: 18px;
		    		color: $white;
	    		    width: 95%;
    				text-align: center;
    				padding: 40px 0;

		    		&:before{
		    			content: "";
		    			background-color: #000000;
		    			opacity: 0.8;
		    			position: absolute;
	    			    left: 0;
					    top: 0;
		    			width: 100%;
		    			height: 100%;
    					border-radius: 10px;
		    		}

		    		.close-menu{
		    			color: #ffffff;
					    position: absolute;
					    right: 15px;
					    top: 10px;
					    z-index: 5;
		    		}

		    		.option{
	    			    position: relative;
		    			padding: 10px 0;
		    			cursor: pointer;
		    		}
		    	}

		    	.carousel-control-prev,
		    	.carousel-control-next{
		    		color: #fff;
				    text-decoration: none;
				    outline: 0;
				    opacity: 1;
		    	}
    		}
    	}
	}
}

.pagination-container{
    font-size: 14px;
    line-height: 16px;

	@include mq("tablet", 'max') {
		flex-wrap: wrap;
		justify-content: center;
	}

    .pagination{
	    flex: 1;
	    max-width: 290px;

		@include mq("tablet", 'max') {
			max-width: 100%;
			min-width: 100%;
			justify-content: center;
		}

    	a{
    		display: block;

    		&.first{
    			margin-right: 10px;
    		}

    		&.active{
    			background-color: $white;
    			border-radius: 2px;
    		}

    		&.page-number{
			    padding: 12px 11px;

			    &:not(.active){

			    	&:not(.inactive){

			    		&:hover{
			    			padding: 12px 11px 10px 11px;
			    			border-bottom: 2px solid #b48350;
			    		}
			    	}
			    }
    		}
    	}
    }

	.btn{
		font-size: 16px;
	    line-height: 20px;
	    color: #fff !important;
	    font-weight: 600;
        padding: 9px 36px;
			    	
		&:hover{
	    	color: #fff;
		}

		@include mq("tablet", 'max') {
			margin: 20px 0;
		}
	}

	.total-profiles{
		color: #858585;
	    flex: 1;
		max-width: 290px;
		text-align: right;

		@include mq("tablet", 'max') {
			max-width: 100%;
			min-width: 100%;
			text-align: center;
		}
	}
}